---
import BaseLayout from '../../layouts/BaseLayout.astro'
// Define the `collection` prop.


export async function getStaticPaths() {    
    let response = await fetch('https://dapi.escuelaideo.edu.es/enap/items/ponentes?fields=name,details,slug,picture_main.data');
    let data = await response.json();
    const allPeople = data.data;
    allPeople.sort((a,b) => a.sort - b.sort);

    let paths = allPeople
        .filter(person => person !== undefined)
        .map((person) => {
            return {
                params: {slugPonente: person.slug},
                props: { person }
            };
        });

    return paths;
}

const { slugPonente } = Astro.request;
const { person } = Astro.props;

---
<BaseLayout title={`Ponente - ${person?.name}`}>
<div class="container mx-auto pt-16">
    <h2 class="text-4xl uppercase text-center mb-8">{person?.name}</h2>
    <div class="sm:grid sm:grid-cols-2">
        <div class="p-2 sm:p-8 relative">
            <img class="sticky top-40 absolute" src={person?.picture_main.data.full_url} />
        </div>
        <div class="">
            <div class="prose p-2 sm:p-8">
            {person?.details}
            </div>
            <div class="text-center pb-8">
                <a 
                href="/#ponentes"
                class="py-3 px-4 bg-blue-500 text-white text-center mx-auto hover:bg-blue-600 transition-colors duration-300">Ver más ponentes</a>
            </div>
        </div>
    </div>
    
    
</div>
</BaseLayout>
